<div class="jumbotron text-center">
    <h1 class="display-5">
        Table Display
    </h1>
</div>

<div class="container">
    <div class="row custom-wrapper">
        <div class="col-md-12">
            <div class="group-gap">
                <div class="d-block my-3">
                    <div class="form-group mb-4">
                        <input class="form-control" type="text" [(ngModel)]="searchText" placeholder="Search">
                    </div>
                        <button type="button" (click)="addNew()" class="btn btn-warning btn-md btn-block">
                            Add New
                        </button>
                    <div class="mb-3">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th scope="col">Id</th>
                                    <th scope="col">Name</th>
                                    <th scope="col">Phone number</th>
                                    <th scope="col">City</th>
                                    <th scope="col">Address</th>
                                    <th scope="col">Postal code</th>
                                    <th scope="col">Edit</th>
                                </tr>
                            </thead>
                                    <tr *ngFor="let data of dataList | filter: searchText; let i = index">
                                        <td>{{data.id}}</td>
                                        <td>{{data.name}}</td>
                                        <td>{{getNum(data.phone)}}</td>
                                        <!-- <td>{{data.address.city}}</td> -->
                                        <td>{{data.address.city}}</td>
                                        <td>{{data.address.address_line1}}</td>
                                        <td>{{data.address.postal_code}}</td>
                                        <td>
                                            <button type="button" (click)='edit(data)'  class="btn btn-primary btn-md btn-block">
                                                Edit
                                            </button>
                                        </td>
                                    </tr>
                        </table>
                    </div>

                </div>
            </div>

        </div>
    </div>
</div>